Bug Hunting Session
Bug 112205 - Sidebar page tab missing in Writer master documents
Summary: Sidebar page tab missing in Writer master documents
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Writer-Master-Doc Sidebar-Page
  Show dependency treegraph
 
Reported: 2017-09-04 09:13 UTC by Thomas Lendo
Modified: 2017-09-24 19:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-09-04 09:13:39 UTC
The Page deck of the Writer sidebar (including Format, Styles, Header and Footer sections today) is missing in the sidebar of Writer master documents.

As Writer master documents are only Writer documents that contain another Writer documents, there should be no difference between both when using the same features. (LibO help citation: "A master document lets you manage large documents, such as a book with many chapters. The master document can be seen as a container for individual LibreOffice Writer files.")

Version: 5.4.0.3
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 8; OS: Windows 6.2; UI render: default; Locale: de-DE (de_DE); Calc: CL
Comment 1 Dieter Praas 2017-09-04 12:33:49 UTC
Reproducible with LO 5.3.6.1
Comment 2 Yousuf Philips (jay) (retired) 2017-09-07 11:40:48 UTC
patch - https://gerrit.libreoffice.org/42050
Comment 3 Commit Notification 2017-09-22 13:39:58 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f0ac41c0dce81976680b091694a5aff2979be32e

tdf#112205 Show page sidebar deck in writer variants

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Thomas Lendo 2017-09-24 19:56:16 UTC
Set to VERIFIED FIXED.

Version: 6.0.0.0.alpha0+
Build ID: 722161e26437b25adc449f773836d369bd0cb081
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group
moggi's auto updater build, 2017-09-24

Thank you very much, Jay!